Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class URLScheme

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.URLScheme

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class URLScheme

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'URL Scheme', and utility methods for working with them. vocSet: D14866 (C-0-D14866-cpt)

See Also:
  `CDAR2Package.getURLScheme()`

Field Summary
`static int` | `FAX` The 'Fax' literal value.
`static URLScheme` | `FAX_LITERAL` The 'Fax' literal object.
`static int` | `FILE` The 'File' literal value.
`static URLScheme` | `FILE_LITERAL` The 'File' literal object.
`static int` | `FTP` The 'Ftp' literal value.
`static URLScheme` | `FTP_LITERAL` The 'Ftp' literal object.
`static int` | `HTTP` The 'Http' literal value.
`static URLScheme` | `HTTP_LITERAL` The 'Http' literal object.
`static int` | `MAILTO` The 'Mailto' literal value.
`static URLScheme` | `MAILTO_LITERAL` The 'Mailto' literal object.
`static int` | `MLLP` The 'Mllp' literal value.
`static URLScheme` | `MLLP_LITERAL` The 'Mllp' literal object.
`static int` | `MODEM` The 'Modem' literal value.
`static URLScheme` | `MODEM_LITERAL` The 'Modem' literal object.
`static int` | `NFS` The 'Nfs' literal value.
`static URLScheme` | `NFS_LITERAL` The 'Nfs' literal object.
`static int` | `TEL` The 'Tel' literal value.
`static URLScheme` | `TEL_LITERAL` The 'Tel' literal object.
`static int` | `TELNET` The 'Telnet' literal value.
`static URLScheme` | `TELNET_LITERAL` The 'Telnet' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'URL Scheme' enumerators.

Method Summary
`static URLScheme` | `get(int value)` Returns the 'URL Scheme' literal with the specified integer value.
`static URLScheme` | `get(java.lang.String literal)` Returns the 'URL Scheme' literal with the specified literal value.
`static URLScheme` | `getByName(java.lang.String name)` Returns the 'URL Scheme' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FAX

    public static final int FAX

  The 'Fax' literal value.

  If the meaning of 'Fax' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FAX_LITERAL`, Constant Field Values

### FILE

    public static final int FILE

  The 'File' literal value.

  If the meaning of 'File' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FILE_LITERAL`, Constant Field Values

### FTP

    public static final int FTP

  The 'Ftp' literal value.

  If the meaning of 'Ftp' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FTP_LITERAL`, Constant Field Values

### HTTP

    public static final int HTTP

  The 'Http' literal value.

  If the meaning of 'Http' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HTTP_LITERAL`, Constant Field Values

### MAILTO

    public static final int MAILTO

  The 'Mailto' literal value.

  If the meaning of 'Mailto' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MAILTO_LITERAL`, Constant Field Values

### MLLP

    public static final int MLLP

  The 'Mllp' literal value.

  If the meaning of 'Mllp' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MLLP_LITERAL`, Constant Field Values

### MODEM

    public static final int MODEM

  The 'Modem' literal value.

  If the meaning of 'Modem' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MODEM_LITERAL`, Constant Field Values

### NFS

    public static final int NFS

  The 'Nfs' literal value.

  If the meaning of 'Nfs' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NFS_LITERAL`, Constant Field Values

### TEL

    public static final int TEL

  The 'Tel' literal value.

  If the meaning of 'Tel' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TEL_LITERAL`, Constant Field Values

### TELNET

    public static final int TELNET

  The 'Telnet' literal value.

  If the meaning of 'Telnet' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TELNET_LITERAL`, Constant Field Values

### FAX_LITERAL

    public static final URLScheme FAX_LITERAL

  The 'Fax' literal object.

  See Also:
    `FAX`

### FILE_LITERAL

    public static final URLScheme FILE_LITERAL

  The 'File' literal object.

  See Also:
    `FILE`

### FTP_LITERAL

    public static final URLScheme FTP_LITERAL

  The 'Ftp' literal object.

  See Also:
    `FTP`

### HTTP_LITERAL

    public static final URLScheme HTTP_LITERAL

  The 'Http' literal object.

  See Also:
    `HTTP`

### MAILTO_LITERAL

    public static final URLScheme MAILTO_LITERAL

  The 'Mailto' literal object.

  See Also:
    `MAILTO`

### MLLP_LITERAL

    public static final URLScheme MLLP_LITERAL

  The 'Mllp' literal object.

  See Also:
    `MLLP`

### MODEM_LITERAL

    public static final URLScheme MODEM_LITERAL

  The 'Modem' literal object.

  See Also:
    `MODEM`

### NFS_LITERAL

    public static final URLScheme NFS_LITERAL

  The 'Nfs' literal object.

  See Also:
    `NFS`

### TEL_LITERAL

    public static final URLScheme TEL_LITERAL

  The 'Tel' literal object.

  See Also:
    `TEL`

### TELNET_LITERAL

    public static final URLScheme TELNET_LITERAL

  The 'Telnet' literal object.

  See Also:
    `TELNET`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'URL Scheme' enumerators.

Method Detail

### get

    public static URLScheme get(java.lang.String literal)

  Returns the 'URL Scheme' literal with the specified literal value.

### getByName

    public static URLScheme getByName(java.lang.String name)

  Returns the 'URL Scheme' literal with the specified name.

### get

    public static URLScheme get(int value)

  Returns the 'URL Scheme' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD